# Changelog

All notable changes to this project will be documented in this file.

## [0.9.0] - 2025-02-24

### Bug Fixes

- Fix error when adding email to a new user
- Oauth flow with new user and registration disabled bug

### Documentation

- Add docs for ePa flow

### Features

- Add more attributes to the synapse when a user is created
- Add external id validation
- Add new epa flow

### Refactoring

- Add a few more debug logs

## [0.8.0] - 2025-02-11

### Features

- Add option to oauth to make an user admin on their first login

## [0.7.0] - 2025-02-10

### Features

- Add jwks fetch from idp

## [0.6.0] - 2024-07-02

### Refactoring

- [**breaking**] Refactor custom flow into configurable oauth

## [0.5.0] - 2024-05-24

### Bug Fixes

- Use SimpleHttpClient with proxy enabled
- Account for baseurl with path in oidc metadata
- Post introspection req urlencoded

## [0.4.6] - 2024-05-13

### Documentation

- Custom flow

### Features

- Add jwt custom flow
- Add bearer access token to custom flow

## [0.4.4] - 2024-04-24

### Bug Fixes

- Basic auth utf8

## [0.4.3] - 2024-04-08

### Features

- Refactor http calls to ModuleApi

## [0.4.2] - 2024-01-31

### Bug Fixes

- Correctly define proxies

## [0.4.1] - 2024-01-31

### Bug Fixes

- Ignore system proxy configuration

## [0.4.0] - 2024-01-11

### Documentation

- Document publishing process

### Features

- [**breaking**] Add OIDC login flow

### Miscellaneous Tasks

- Add github action
- Migrate to github

### Refactoring

- Appease linter
- [**breaking**] Rename the 'require_expiracy' option to 'require_expiry'

## [0.3.2] - 2022-11-24

### Bug Fixes

- Add Requester to set_displayname

### Miscellaneous Tasks

- Bump version and update changelog

## [0.3.1] - 2022-11-24

### Bug Fixes

- Allow properly setting the displayname from the token
- Use ProfileHandler for display name

### Miscellaneous Tasks

- Bump version and update changelog

## [0.3.0] - 2022-11-23

### Bug Fixes

- Use correct method name for display name change

### Features

- Handle displayname claim

## [0.2.0] - 2022-11-22

### Features

- Check chatbox login localpart pattern

### Miscellaneous Tasks

- Bump version and update changelog

## [0.1.1] - 2022-10-04

### Miscellaneous Tasks

- Remove jwcrypto version limit

### Refactoring

- Switch to async await
- Use public ModuleApi methods

## [0.1.0] - 2022-09-21

### Bug Fixes

- Fix bug in test-cases surfaced by update in jwcrypto

### Features

- Handle admin claim in JWT
- Update admin status on login

### Miscellaneous Tasks

- [**breaking**] Rename to synapse_token_authenticator
- Update CODEOWNERS
- Package using hatch
- Reformat code and add job for checking in CI
- Add changelog

<!-- generated by git-cliff -->
